> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

#  Check Tracked Posts

> Review which monthly posts we track for any user across platforms. If you want to access a user’s posts, first check the months already tracked and available for use with the Get Post Details endpoint.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "ok"
    },
    "profile": {
      "masterID": "1755785276716x970846411068844200",
      "platform": "instagram",
      "profileURL": "https://instagram.com/therock"
    },
    "trackedMonths": [
      {
        "month": "2025-09-01",
        "monthShort": "Sep 2025",
        "monthISO": "2025-09-01T00:00:00.000Z",
        "type": "posts",
        "postsCount": 8
      },
      {
        "month": "2025-04-01",
        "monthShort": "Apr 2025",
        "monthISO": "2025-04-01T00:00:00.000Z",
        "type": "posts",
        "postsCount": 14
      },
      {
        "month": "2025-04-01",
        "monthShort": "Apr 2025",
        "monthISO": "2025-04-01T00:00:00.000Z",
        "type": "stories",
        "postsCount": 0
      },
      {
        "month": "2025-04-01",
        "monthShort": "Apr 2025",
        "monthISO": "2025-04-01T00:00:00.000Z",
        "type": "mentions",
        "postsCount": 0
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/tracked-posts-checker
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/tracked-posts-checker:
    get:
      tags:
        - Workflow
      description: Triggers the workflow tracked-posts-checker
      operationId: get_wf_tracked-posts-checker
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            Quickly review which monthly posts we track for any user across
            platforms. If you want to access a user’s posts, first check if the
            months already being tracked and available for use with the **Get
            Post Details** endpoint.
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````